#
# spec file for package xorg-x11
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xorg-x11
Url:            http://xorg.freedesktop.org/
Version:        7.6_1
Release:        lp152.3.2
## Recommends of packages that we split away from xorg-x11
Recommends:     appres
Recommends:     bdftopcf
Recommends:     beforelight
Recommends:     bitmap
Recommends:     editres
Recommends:     fonttosfnt
Recommends:     fslsfonts
Recommends:     fstobdf
Recommends:     ico
Recommends:     lbxproxy
Recommends:     listres
Recommends:     luit
Recommends:     mkcomposecache
Recommends:     oclock
Recommends:     proxymngr
Recommends:     rendercheck
Recommends:     rstart
Recommends:     showfont
Recommends:     smproxy
Recommends:     twm
Recommends:     viewres
Recommends:     x11perf
Recommends:     xbacklight
Recommends:     xbiff
Recommends:     xcalc
Recommends:     xclipboard
Recommends:     xclock
Recommends:     xcmsdb
Recommends:     xcompmgr
Recommends:     xcursor-themes
Recommends:     xcursorgen
Recommends:     xdbedizzy
Recommends:     xditview
Recommends:     xdpyinfo
Recommends:     xedit
Recommends:     xev
Recommends:     xeyes
Recommends:     xf86dga
Recommends:     xfd
Recommends:     xfindproxy
Recommends:     xfontsel
Recommends:     xfs
Recommends:     xfsinfo
Recommends:     xfwp
Recommends:     xgamma
Recommends:     xgc
Recommends:     xhost
Recommends:     xinput
Recommends:     xkbevd
Recommends:     xkbprint
Recommends:     xkbutils
Recommends:     xkill
Recommends:     xload
Recommends:     xlogo
Recommends:     xlsatoms
Recommends:     xlsclients
Recommends:     xlsfonts
Recommends:     xmag
Recommends:     xman
Recommends:     xmore
Recommends:     xorg-scripts
Recommends:     xplsprinters
Recommends:     xpr
Recommends:     xprehashprinterlist
Recommends:     xrandr
Recommends:     xrefresh
Recommends:     xrestop
Recommends:     xrx
Recommends:     xscope
Recommends:     xsetmode
Recommends:     xsetpointer
Recommends:     xsm
Recommends:     xstdcmap
Recommends:     xtrap
Recommends:     xvidtune
Recommends:     xvinfo
Recommends:     xwd
Recommends:     xwininfo
Recommends:     xwud
## End Recommends of packages that we split away from xorg-x11
Requires:       xorg-x11-essentials
Provides:       XFree86
Summary:        Compatibility metapackage for X.Org sample applications
License:        MIT
Group:          System/X11/Utilities
Source0:        README.meta
Source200:      misc.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package is a compatibility metapackage. It used to contain the
X.Org sample applications.

%package essentials
Summary:        Compatibility metapackage for X.Org core applications
Group:          System/X11/Utilities
## Requires of packages that we split away from xorg-x11
Requires:       iceauth
Requires:       mkfontdir
Requires:       mkfontscale
Requires:       rgb
Requires:       sessreg
Requires:       setxkbmap
Requires:       xauth
Requires:       xconsole
Requires:       xdm
Requires:       xinit
Requires:       xkbcomp
Requires:       xmessage
Requires:       xmodmap
Requires:       xprop
Requires:       xrdb
Requires:       xset
Requires:       xsetroot
## End Requires of packages that we split away from xorg-x11

%description essentials
This package is a compatibility metapackage. It requires the
X.Org core applications packages.

%prep
%setup -q -T -c '%{name}'
cp %{SOURCE0} .

%build

%install
pushd $RPM_BUILD_ROOT
%{__tar} xjf '%{S:200}'
popd
# Compatibility symlink (Bug #223524)
mkdir -p "${RPM_BUILD_ROOT}%{_bindir}"
%{__ln_s}nf . "${RPM_BUILD_ROOT}%{_bindir}/X11"

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc README.meta

%files essentials
%defattr(-,root,root)
%dir %{_datadir}/X11
%{_datadir}/X11/nls/
%{_bindir}/X11

%changelog
* Tue Oct 22 2013 sndirsch@suse.com
- let -essentials package also require xkbcomp, xmessage and xprop
  (bnc#846953)
* Mon Oct 14 2013 sndirsch@suse.com
- let -essentials package also require xset and iceauth
  (bnc#845264)
* Thu Aug 29 2013 sndirsch@suse.com
- reverted previous change; requires for xbitmaps-devel needs to
  be added to libXmu instead (bnc#836530)
* Tue Aug 27 2013 sndirsch@suse.com
- added xbitmaps-devel to Requires for -essential package
  (bnc#836530)
* Fri Aug  2 2013 sndirsch@suse.com
- split off -essentials package for X.Org core apps (meta package
  for required packages); recommends remain in xorg-x11 meta
  package; this allows minimum X11 patterns in a consistent way
  (request by Coolo)
* Wed Dec 26 2012 mike.catanzaro@gmail.com
- Don't require twm; it is still recommended.
* Tue Jun 26 2012 sndirsch@suse.com
- require only a few packages, the remaining packages are still
  recommended
* Thu Jun 14 2012 seife+obs@b1-systems.com
- do not require xmh, workaround for not being able to uninstall
  postfix. The real bug is, that packages require xorg-x11, though
* Wed Apr 18 2012 vuntz@opensuse.org
- Add a README.meta documentation file to explain this metapackage.
* Sun Apr 15 2012 vuntz@opensuse.org
- Split scripts upstream module in the xorg-scripts source package.
- Move /etc/X11/Xresources to xinit from this package, since xinit
  is the base package using this file.
- Make package noarch.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split utilities in their own source packages:
  appres bdftopcf beforelight bitmap editres fonttosfnt fslsfonts
  fstobdf iceauth ico lbxproxy listres luit mkcomposecache
  mkfontdir mkfontscale oclock proxymngr rendercheck rgb rstart
  sessreg setxkbmap showfont smproxy twm viewres x11perf xauth
  xbacklight xbiff xcalc xclipboard xclock xcmsdb xcompmgr xconsole
  xcursorgen xcursor-themes xdbedizzy xditview xdm xdpyinfo xedit
  xev xeyes xf86dga xfindproxy xfontsel xfs xfsinfo xfwp xgamma xgc
  xhost xinit xinput xkbcomp xkbevd xkbprint xkbutils xkill xload
  xlogo xlsatoms xlsclients xlsfonts xmag xman xmessage xmh xmodmap
  xmore xplsprinters xpr xprehashprinterlist xprop xrandr xrdb
  xrefresh xrestop xrx xscope xset xsetmode xsetpointer xsetroot
  xsm xstdcmap xtrap xvidtune xvinfo xwd xwininfo xwud
- Bump version to 7.6_1 since the split packages have a Conflicts
  with xorg-x11 <= 7.6.
* Thu Feb  9 2012 sndirsch@suse.com
- fixed buildreqs due to splitted xorg-x11-libs
* Tue Jan 10 2012 sndirsch@suse.com
- u_xauth_Look-for-FamilyLocal-if-inet-or-inet6-addr.patch
  * Look for FamilyLocal if inet or inet6 address is loopback.
    (bnc #731504)
* Tue Jan 10 2012 chris@computersalat.de
- remove AUTHORS from description
- switch {?jobs:-j%%jobs} to {?_smp_mflags}
* Tue Jan 10 2012 sndirsch@suse.com
- xlsclient 1.1.2 - fixes build against xcb-util 0.3.8
  * Depend on xcb >= 1.6 for XCB_ATOM_*.
  * Drop dependency on xcb-atom/xcb-util
  * Use XCB_ATOM_* atom names rather than deprecated atom names
  * config: move man pages into their own directory
  * man: replace hard coded man page section with substitution strings
  * man: remove trailing spaces and tabs
  * config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
  * Purge cvs tags.
* Tue Nov 15 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Tue Nov  8 2011 anixx@opensuse.org
- Add ntp service to should-start in /etc/init.d/xdm in file
  xdm.tar.bz2 to prevent conflict between kdm3 and ntp (bnc#728846)
* Wed Nov  2 2011 sndirsch@suse.com
- luit 1.2-20111030
  * modify  configure  script  to  add  X_LIBS  symbol  after resolving
    fontenc  library,  to  use  the  associated -L option in subsequent
    configure-checks.
  * add  -t  to simplify testing available locales versus luit's tables
    and the locale.alias file.
  * add "US-ASCII" for C/POSIX to the locale-charset table.
  * add  entries  to  the  locale-charset  table to correspond with the
    font-encoding table, making it possible to use locales defined with
    each  named  charset  (reported  by Andrey Ivanov, also reported in
    Freedesktop #41857).
  * modify  the  lookup  by  locale  charset to help match results from
    nl_langinfo(CODESET)  by  mapping  commonly  used prefixes into the
    prefixes used by luit.
  * check   for,   and   use   nl_langinfo(CODESET)   to   augment  X's
    locale.aliases file for determining the encoding to use.
  * workaround  limitation in copying terminal settings on Solaris from
    original tty to pty.
  * add  /usr/openwin/lib/locale  to  search-list  of  locale.alias for
    Solaris 10.
  * improve  configure  script so that it does not error-out if fontenc
    is unavailable, using iconv instead.
  * bump  version  to 1.2, noting xorg hackers having marked (with only
    cosmetic changes) the 2010/6/1 snapshot as "1.1.0".
  * add/use  configure  check  for  posix_openpt,  prompted  by FreeBSD
    ports/161480.
  * updated      configure      script     macros:     CF_ANSI_CC_CHECK
    CF_DISABLE_RPATH_HACK  CF_LD_RPATH_OPT  CF_PKG_CONFIG CF_RPATH_HACK
    CF_SVR4 CF_WITH_ZLIB CF_XOPEN_SOURCE
  * update config.guess, config.sub
* Fri Oct 14 2011 sndirsch@suse.com
- fixed typo in /usr/lib/X11/displaymanagers/slim.fallback
  slimdm_vars() --> slim_vars()
* Tue Oct 11 2011 gber@opensuse.org
- xdm.tar.bz2:
  commented out Tablet PC detection code in /etc/X11/xdm/Xsetup and
  /etc/X11/xdm/Xstartup which relied on hal-find-by-property
* Mon Sep 26 2011 eich@suse.com
- xdm.tar.bz2:
  Fixed name of function in dm startup script fallback for slim:
  slimdm_vars -> slim_vars.
* Mon Sep 26 2011 eich@suse.com
- xdm.tar.bz2:
  Fixed name of function in dm startup script fallback for entrance:
  entrancedm_vars -> entrance_vars.
* Thu Sep 22 2011 vuntz@opensuse.org
- Update /etc/X11/xdm/sys.xsession: do not start a gpg agent if
  gnome-keyring is running, since starting with GNOME 3,
  gnome-keyring plays that role. Also, drop support for
  seahorse-agent as gpg agent for the same reason. Fix bnc#692277.
* Wed Sep 21 2011 eich@suse.com
- Don't use %%{_libexecdir} it's not uniformly defined on all
  supported products.
* Tue Sep 20 2011 eich@suse.com
- Change %%{_libdir} to ${_libexecdir}.
* Tue Sep 20 2011 eich@suse.com
- add fallback files for all DMs which have been updated
  to suport the new xdm startup script.
* Mon Sep 19 2011 sndirsch@suse.com
- fixed build failure on s390(x) due to wrong sed syntax
* Wed Aug 31 2011 eich@suse.com
- xdm.tar.bz2: Fixed some bugs in the xdm startup script,
  mode HOWTO.xdm to rhe sources as a separate file.
* Tue Aug 30 2011 eich@suse.com
- add missing "%%dir %%{_sysconfdir}/X11/displaymanagers"
  to specfile.
* Thu Aug 25 2011 eich@suse.de
- xdm.tar.bz2:
  Remove any display manager specific stuff from
  /etc/xinit.d/xdm.
  Display manager specific settings will be read
  from scripts in /etc/X11/displaymanagers.
  Those script need to be provided with the display
  manager package. A HOWTO describing how this
  scipt should look like can be found in this
  directory.
* Thu Aug 25 2011 sndirsch@novell.com
- update xbiff 1.0.3 to fix build again with current toolchain
  * Xmu functions are called directly, so include it in
    PKG_CHECK_MODULES
- added some xdm git commits (adjusted to xdm 1.10.1) to fix build
  again with current toolchain
  * U_xdm_config-AC_LIBTOOL_DLOPEN-is-required-for-dynamic-lin.patch
  * U_xdm_config-use-libtool-export-dynamic-option-for-reverse.patch
  * U_xdm_Fix-missing-linking-dependency-on-ldl.patch
* Mon Aug  8 2011 sndirsch@novell.com
- added mapping for romanian keyboard (bnc #709443)
* Wed Jun  8 2011 eich@suse.de
- add u_luit-Set-up-terminal-before-fork.diff:
  Set up terminal before fork.
  An older version of this patch was dropped as
  it didn't apply any more.
  This patch is to be upstreamed.
* Tue May 31 2011 eich@suse.de
- add missing install directory for x11percomp scripts.
* Tue May 31 2011 eich@suse.de
- remove scripts.diff:
  Exclude script during package generation.
* Tue May 31 2011 eich@suse.de
- remove x11perf.diff:
  Let x11perf install it's scripts into /usr/lib[64].
* Mon May 23 2011 eich@suse.de
- update Keyboard.map:
  Remove jp106 and abnt2. Those two keyboard models don't exist
  any more.
  Instead those mappings are part of the jp and br symbol tables.
  Now it is possible to specify a microsoftprosub keyboard with
  the jp or br mappings.
  For Mac keyboards add the altwin:swap_lalt_lwin,lv3:alt_switch
  options, as those patches have been removed from the
  keyboard-config.
* Thu May 19 2011 eich@suse.de
- edit s390/s390x sysconfig template in place instead of applying
  a patch.
* Thu May 19 2011 eich@suse.de
- remove xrdb.diff (bnc#149007) as this is also adressed by
  xrdb-Create-shell-escape-safe-cpp-options-in-the-non-path-bnc674733.patch
  which has been included in upstream already and can also be removed
  once the xrdb package got updated.
* Thu May 19 2011 eich@suse.de
- remove xfs-no_config_file.diff as this no longer needed since
  commit b0c41c11 which is included in xfs-1.1.1.
* Thu May 19 2011 eich@suse.de
- remove xrx.diff patch as the function has the correct type already.
* Fri May  6 2011 sndirsch@novell.com
- etc/X11/xdm/sys.xsession: do not start gpg-agent with GNOME3 as
  WM since the GPG agent feature is now integrated
* Fri Apr  8 2011 sndirsch@novell.com
- changes by Christopher Yeleighton <giecrilj@stegny.2a.pl>
  * add documentation for xedit (bnc #684116)
  * fix several RPMLINT warnings and compiler warnings, in
    particular in keygen.
  * make use of more rpm macros
  * xdmshell is excluded as obsolete.
  * xkeystone is excluded as broken.
  * some other files are excluded because they are irrelevant.
  * OpenSuSE-specific tools get manual pages redirecting to init.d.
* Tue Apr  5 2011 mhopf@novell.com
- xrdb-Create-shell-escape-safe-cpp-options-in-the-non-path-bnc674733.patch
  * Fix CVE-2011-0465 (bnc #674733).
* Mon Mar 28 2011 sndirsch@novell.com
- xdm.tar.bz2:
  * etc/X11/xdm/sys.xsession: use DE-specific ssh-askpass instead
    of unspecific x11-ssh-askpass (bnc #682897)
* Tue Feb 22 2011 sndirsch@novell.com
- /etc/init.d/xdm
  * avoid duplicate messages on boot/shutdown/reboot (bnc #671783)
* Sat Jan 29 2011 gber@opensuse.org
- changed then handling of DEFAULT_WM in /etc/init.d/xdm, it will
  now look for a corresponding session file which has the same
  basename as DEFAULT_WM and, if found, set WINDOWMANAGER to the
  value of Exec; if there is no session file it will try to set
  WINDOWMANAGER to an executable with the same name as DEFAULT_WM
  (bnc#667408)
* Fri Jan 14 2011 sndirsch@novell.com
- added license files 'COPYING' for all apps (bnc #663756)
* Thu Jan 13 2011 sndirsch@novell.com
- edit license file 'COPYING' of xedit to filelist (bnc #663756)
* Tue Dec 21 2010 sndirsch@novell.com
- bumped version number to 7.6
* Thu Dec  9 2010 sndirsch@novell.com
- xbacklight 1.1.2
  * This minor maintenance release provides the usual round of
    recent build configuration improvements and janitorial
    cleanups.
- xkbevd 1.1.2
  * This release fixes a bug introduced in the configure script in
    1.1.1 that broke cross-compilation, as well as other minor bug
    fixes, configuration improvements, and janitorial cleanups.
* Thu Dec  9 2010 werner@suse.de
- Skip first argument in Xsession as it is already parsed and
  evaluated (bnc#656554)
* Thu Dec  2 2010 lnussel@suse.de
- print warning if xinit fails and Xorg has no setuid bit
  (bnc#632737)
- refresh patches to apply without dirty hacks
- make quilt setup work
- really fix bnc#470983
* Sat Nov 27 2010 sndirsch@novell.com
- xcalc 1.0.4.1
  * This brown-paper-bag release just rebuilds the tarballs to
    include the correct install-sh from the autotools instead of
    the broken one in the 1.0.4 tarballs. Sorry about that.
* Thu Nov 25 2010 sndirsch@novell.com
- xcalc 1.0.4
  * This minor maintenance release provides the usual recent
    collection of improvements to the calculation of the build
    configuration and other janitorial cleanups.
- xeyes 1.1.1
  * Looking closely at this release would reveal an unsurprising
    set of build configuration improvements and removal of various
    eyesores in the code.
* Mon Nov 22 2010 sndirsch@novell.com
- rendercheck 1.4
  * This release makes the sources pass various checks of the
    compilers, adds a --version option, and provides a new test
    for rendering to source-only pictures under gradients, as
    well as the usual recent janitorial cleanups and build
    configuration improvements.
* Thu Nov 11 2010 sndirsch@novell.com
- xkill 1.0.3
  * This minor maintenance release provides some hopefully very
    non-dangerous build configuration improvements and janitorial
    cleanups.
- xrdb 1.0.7
  * This minor maintenance release provides the usual recent
    collection of build configuration improvements and janitorial
    cleanups.
- xrefresh 1.0.4
  * This minor maintenance release refreshes the tarball with the
    usual recent collection of build configuration improvements
    and janitorial cleanups.
- xset 1.2.1
  * This minor maintenance release provides the usual recent
    collection of build configuration improvements and janitorial
    cleanups, plus some more unusual cleanups specific to xset.
- xinput 1.5.3
  * This release brings a minor fix when checking for the device
    mode. Out-of-proximity device could report the wrong mode.
    The UI has two minor improvements. First, it doesn't interpret
    random strings as "relative" anymore when switching modes.
    Second, valuators are printed on separate lines now with the
    valuator number prefixed. This is helpful for devices that
    don't always report continuous valuator ranges.
* Tue Nov  9 2010 sndirsch@novell.com
- xclipboard 1.1.1
  * This minor maintenance release provides the usual recent
    collection of build configuration improvements and janitorial
    cleanups.
- xgamma 1.0.4
  * This minor maintenance release provides the usual recent
    collection of build configuration improvements and janitorial
    cleanups.
* Mon Nov  8 2010 sndirsch@novell.com
- xwd 1.0.4/
  xwud 1.0.3/
  mkfontdir 1.0.6
  * This minor maintenance release provides the usual recent
    collection of build configuration improvements and janitorial
    cleanups.
* Sat Nov  6 2010 sndirsch@novell.com
- xvinfo 1.1.1
  * This minor maintenance release provides the usual recent
    collection of build configuration improvements and janitorial
    cleanups.
* Wed Nov  3 2010 werner@suse.de
- Forward all options of the display manager to the window manager
  (bnc#641045)
* Mon Nov  1 2010 sndirsch@novell.com
- xdbedizzy 1.1.0
  * Previous versions included code interacting with the XPrint
    extension as well, but as a double buffered spinning printer
    spewing animated output is one of the clearest signs of demonic
    possession ever seen, that code has been exorcised from this
    release. Should anyone desire to dance with that demon, the
    proper git incantations could be invoked to call forth a new
    1.0.x branch from the depths of the repository.
    Aside from that, this release also includes assorted other work
    by the X.Org janitors to scrub the build configuration and
    purify the code since the 1.0.2 release in 2006. So what's for
    dessert?
- xf86dga 1.0.3
  * This release raises the dependency on libXxf86dga to require a
    minimum of version 1.1.0 to get the new Xxf86dga.h header
    instead of the now deprecated xf86dga.h.  However, it also
    removes unused dependencies on libXaw, libXt, and libXmu that
    were previously declared.
    It also delivers the build configuration improvements and other
    janitorial cleanups that have built up since the 1.0.2 release
    in 2006.
- appres 1.0.3
  * This minor maintenance release provides the specified collection
    of build configuration improvements and janitorial cleanup
    instances.
* Sun Oct 31 2010 sndirsch@novell.com
- beforelight 1.0.4
  * This minor maintenance release provides the usual recent collection of
    build configuration improvements and janitorial cleanups, plus a bunch
    more from years past that had been sitting in git for a long time.
- editres 1.0.5
  * This minor maintenance release provides the usual recent collection of
    build configuration improvements and janitorial cleanups.
- fslsfonts 1.0.3
  * This minor maintenance release provides several years worth of accumulated
    build configuration improvements and janitorial cleanups.
- fstobdf 1.0.4
  * This minor maintenance release provides a few years worth of accumulated
    build configuration improvements and janitorial cleanups.
- ico 1.0.3
  * This minor maintenance release includes a bugfix for handling expose
    events in multiple threads, along with multiple years worth of accumulated
    build configuration improvements and janitorial cleanups.
- proxymngr 1.0.2
  * First new release of xproxymngr since X11R7.0, with 5 years worth of
    accumulated build configuration improvements and janitorial cleanups.
- rstart 1.0.4
  * This release moves the protocol specification document from xorg-docs to
    this module, though it's still in troff format, and not built or
    translated as part of the build process.
- showfont 1.0.3
  * This minor maintenance release provides a couple years worth of build
    configuration improvements and janitorial cleanups.
- twm 1.0.5
  * This minor maintenance release provides the last two years' Worth of build
    configuration improvements, janitorial cleanups, & Makefile.am support for
    automake-1.11 silent builds.
- viewres 1.0.3
  * This minor maintenance release provides the usual recent collection of
    build configuration improvements and janitorial cleanups.
- xcursor-themes 1.0.3
  * This minor maintenance release provides the usual recent collection of
    build configuration improvements and janitorial cleanups.
- xedit 1.2.0
  * This release includes bug fixes, removal of support for Xprint/Xaw8, and
    several years worth of build configuration improvements and janitorial
    cleanups.
- xev 1.1.0
  * This release adds the -root option to specify monitoring root window
    events.
- xfs 1.1.1
  * This release includes a couple bug fixes in the code, improved handling of
    the included DocBook XML documentation, and the usual recent collection of
    build configuration improvements and janitorial cleanups.
- xfsinfo 1.0.3
  * This minor maintenance release provides the usual recent collection of
    build configuration improvements and janitorial cleanups, plus a small
    tweak to default to "unix/:-1" when no font server address is specified.
- xgc 1.0.3
  * This minor maintenance release provides the usual recent collection of
    build configuration improvements and janitorial cleanups.
- xhost 1.0.4
  * This release updates the man page to clarify the /etc/X*.hosts files, as
    well as delivering the usual recent collection of build configuration
    improvements and janitorial cleanups.
- xinit 1.3.0
  * This release adds support for an xinitrc.d directory to contain startup
    script snippets on all systems.  It also features a number of
    modernizations and cleanups of the code base.
- xkbcomp 1.2.0
  * This release provides performance improvements and bug fixes, mixed in
    with the usual recent collection of build configuration improvements and
    janitorial cleanups.
- xkbevd 1.1.1
  * This minor maintenance release helps show our appreciation for the hard
    work of the janitors cleaning the code base, so they don't "accidentally"
    lock me in the broom closet again.
- xkbutils 1.0.3
  * This minor maintenance release provides a filled-in COPYING file for the
    benefit of packagers who use that to pass on the notices required by the
    MIT license to their users, and uses more accurate lists of the
    dependencies required to build these programs.
    Oh, and of course, it also includes the usual recent collection of build
    configuration improvements and janitorial cleanups, but you could probably
    guess that after the last twenty mails to xorg-announce.
- xlogo 1.0.3
  * This minor maintenance release provides the usual recent collection of
    build configuration improvements and janitorial cleanups.
- xmag 1.0.4
  * If you look closely at this tiny little release, you might find the usual
    collection of recent build configuration improvements and janitorial
    cleanups.
- xman 1.1.1
  * This minor maintenance release provides the usual recent collection of
    manually generated build configuration improvements and janitorial
    cleanups.
- xmh 1.0.2
  * Just in case anyone might still be using this program, this release
    provides compatibility with a world without Xaw8, and provides five years
    worth of build configuration improvements and janitorial cleanups in its
    first release since the original X11R7.0 katamari.
- xprop 1.2.0
  * This release adds support for printing UTF8_STRING properties as UTF-8
    strings in appropriate locales, including a new "u" specifier for the
  - format option.
- xrandr 1.3.4
  * This release corrects a mistake in the man page, and fixes the reporting
    of missing RandR extension support when connecting to servers not
    supporting it (such as Xorg releases with the Xinerama extension enabled).
- xrx 1.0.4
  * This minor maintenance release provides some of the usual recent build
    configuration improvements and janitorial cleanups.
- xsetroot 1.1.0
  * This release adds the ability to load an arbitrary ARGB cursor file via
    the new -xcf command line flag. In Keith's words:
    Instead of having to construct a whole cursor theme and play with the
    environment variables in Xlib to set a random ARGB cursor, this lets the
    user set whatever they like directly from a file.
- xwininfo 1.1.1
  * This bug-fix release corrects two issues introduced in the xcb port in the
    1.1.0 release: a build issue with the optional support for the xcb-icccm
    library, and a runtime issue with reporting coordinates for windows
    extending into the negative parts of the coordinate space.
- xscope 1.3
  * This version adds basic support for decoding GLX extension requests and
    improved transport layer selection/fallback.
- adjusted patches
  * proxymngr.diff
  * rstart.diff
  * xinit-client-session.patch
- new Buildrequires: bison
* Sat Oct 30 2010 sndirsch@novell.com
- bdftopcf 1.0.3
  * This minor maintenance release unsurprisingly provides the
    usual recent collection of build configuration improvements
    and janitorial cleanups.
- iceauth 1.0.4
  * In this minor maintenance release you may find the usual recent
    collection of build configuration improvements and janitorial
    cleanups.
- mkfontscale 1.0.8
  * This minor maintenance release provides the usual recent
    collection of janitorial cleanups and build configuration
    improvements.
* Sun Oct 24 2010 sndirsch@novell.com
- smproxy 1.0.4
  * This minor maintenance release provides assorted build
    configuration improvements and janitorial clenaups.
* Thu Oct 21 2010 sndirsch@novell.com
- xfd 1.1.0
  * This release adds internationalization support (though with no
    translations contributed yet), drops Xaw8 support, and
    accumulates a number of years worth of build configuration
    improvements and janitorial cleanups.
* Fri Oct  8 2010 sndirsch@novell.com
- bitmap 1.0.5
  * This minor maintenance release just provides build
    configuration improvements and other janitorial cleanups.
* Thu Oct  7 2010 sndirsch@novell.com
- luit 1.1.0
  This release includes these changes from Thomas Dickey's
  luit-20100601:
  * add -alias option to allow override of locale.alias pathname.
  * improve fix waitForInput as suggested in Freedesktop #26383.
  * fix warnings from clang
- rgb 1.0.4
  * This minor maintenance release mainly provides build
    configuration improvements and janitorial cleanups.
* Mon Oct  4 2010 sndirsch@novell.com
- xdpyinfo 1.2.0
  * This release removes the support for the Xprint extension.
* Mon Sep 27 2010 sndirsch@novell.com
- added /usr/%%{_lib}/X11/xsm/ to filelist since required before
  openSUSE 11.3
* Mon Sep 27 2010 sndirsch@novell.com
- xload 1.1.0
  * This release includes several years worth of build improvements
    and cleanups, including fixes for builds on case-insenstive
    filesystems, builds without the Xaw8 macros, and other fixes
    needed for building on various platforms.
    Support for displaying translated error messages via gettext is
    included, but no translations have been (see the mail I just
    sent to xorg-devel about translations if you're interested in
    localizing xload or other X.Org apps).
- xsm 1.0.2
  * This release includes nearly 5 years worth of build
    improvements and cleanups, including fixes for builds on
    case-insensitive filesystems, builds without the Xaw8 macros,
    and other fixes needed for building on various platforms.
- xfontsel 1.0.3
  * This release includes several years worth of build
    improvements and cleanups, including fixes for builds on
    case-insensitive filesystems, builds without the Xaw8 macros,
    and other fixes needed for building on various platforms.
- xstdcmap 1.0.2
  * This minor maintenance release accumulates nearly 5 years worth
    of build system fixes and improvements, and updates to current
    autotools/macros.
- xwininfo 1.1.0
  * The major new feature of this release is the rewrite to use
    libxcb instead of libX11, batching requests for information to
    reduce waiting on round-trips in gathering the client
    information from the X server. Testing over a high-latency
    connection from California to China and back resulted in an
    improvement from 8 minutes to 45 seconds to output the
    complete window tree via xwininfo -root -all of a GNOME
    desktop session with 114 windows.
    This release thus libxcb to build, (though it still requires
    some libX11 headers as well). It also requires a minimum
    xproto version of 7.0.17.
    Should anyone need to maintain the libX11 version, a 1.0.x
    branch can be created in git from the 1.0.5 release base as
    needed.
    This release also adds support for reporting some EMWH window
    manager hints, including UTF-8 localized window names from the
    _NET_WM_NAME property. (This version does not correctly
    display names for windows with the WM_NAME property set using
    the COMPOUND_TEXT encoding.   Most current desktops & toolkits
    will set the _NET_WM_NAME, which is used in preference to
    WM_NAME if it is set.)
* Fri Sep 24 2010 sndirsch@suse.de
- xmodmap 1.0.5
  * This minor maintenance release features improvements to the
    man page, as well as the usual recent rounds of build
    configuration improvements and janitorial cleanups.
* Fri Sep 24 2010 sndirsch@novell.com
- xlsclients 1.1.1
  * This minor maintenance release ensures the tarballs correctly
    include the strnlen.h header for systems without that function
    provided in the system libraries, and updates the build
    configuration to the latest X.Org standards.
* Fri Sep 24 2010 sndirsch@novell.com
- xcmsdb 1.0.3
  * This minor maintenance release provides only corrections to
    the COPYING notice and the usual round of recent build
    improvements & janitorial cleanups.
- xconsole 1.0.4
  * This minor maintenance release includes several years of build
    improvements and janitorial fixes, including support for
    building without libXaw8 macros.
  * obsoletes xconsole-no-stropts.patch
- xcursorgen 1.0.4
  * This minor maintenance release allows building with libpng 1.4
    & later, and includes the usual round of recent build
    improvements & janitorial cleanups.
  * obsoletes xcursorgen-libpng.diff
* Fri Sep 24 2010 sndirsch@suse.de
- xauth 1.0.5
  * This minor maintenance release fixes a couple bugs and
    includes the usual recent build improvements/janitorial
    cleanups.
- xclock 1.0.5
  * This minor maintenance release of the classic non-shaped
    window clock fixes a crash on startup on 64-bit architectures
    and includes the usual set of recent build improvements/
    janitorial cleanups.
* Thu Sep 23 2010 sndirsch@suse.de
- oclock 1.0.2
  * This minor maintenance release of the classic shaped-window
    clock application mainly provides several years worth of
    accumulated improvements to the build configuration and other
    janitorial improvements.
- setxkbmap 1.2.0
  * This minor feature release adds the -query option to print
    the current RLMVO layout in use by the X server.
* Wed Sep 22 2010 sndirsch@novell.com
- x11perf 1.5.2
  minor maintenance release, which mostly includes build-time
  improvements, along with one small feature addition, the
  "-falseprecision" command line flag.
* Sun Sep  5 2010 sndirsch@novell.com
- xscope 1.2 (*new*)
  xscope 1.2 is the grand unification release of xscope, finishing
  the three way merge of the MIT-licensed version from the original
  author, James Peterson of MCC, the extensions from Keith Packard,
  and the fork Sun Microsystems maintained in Solaris releases.
  Features from James Peterson's version:
  * Core X11 protocol decoding
  * TCP/IPv4 socket support
  Features from Keith Packard's version:
  * Interactive debugging mode with breakpoints & single stepping for
    core protocol
  * X11 extension protocol decoding for:
    BIGREQUESTS             NCD-WinCenterPro
    LBX                     RANDR 1.0
    MIT-SHM                 RENDER 0.4
  * Decoding of bigrequest-encoded requests
  * NAS audio protocol decoding
  * Unix domain socket support
  * -S option to toggle output on SIGUSR1
  * -t option to terminate when all clients close
  * xstats program to generate statistics from xscope logs
    (not built by default)
  Features from Solaris version:
  * SVR4 platform support
  * Use of xtrans to get all normally supported transports, including IPv6
  * IPv6 address decoding in hosts requests
  * -r option to dump raw packet data
  New features in this release:
  * Support for setting breakpoints on X11 extension requests
  * Decoding of GenericEvents & ServerInterpreted host addresses
  * Update RENDER extension decoding to protocol version 0.11
  Removed features:
  * X11 extension protocol decoding for PEX extension
  * DECnet support
- appres 1.0.2
- bitmap 1.0.4
- editres 1.0.4
- listres 1.0.2
- mkcomposecache 1.2.1
- sessreg 1.0.6
- viewres 1.0.2
- xbiff 1.0.2
- xcalc 1.0.3
- xclipboard 1.1.0
- xclock 1.0.4
- xcompmgr 1.1.5
- xditview 1.0.2
- xdm 1.1.10
- xeyes 1.1.0
- xgc 1.0.2
- xinit 1.2.1
- xinput 1.5.2
- xkbprint 1.0.2
- xlogo 1.0.2
- xlsatoms 1.1.0
- xlsclients 1.1.0
- xlsfonts 1.0.3
- xman 1.1.0
- xmessage 1.0.3
- xmore 1.0.2
- xrandr 1.3.3
- xscope 1.2
- xset 1.2.0
- xvidtune 1.0.2
- adjusted patches
  * xinit.diff
- obsolete patches
  * xset-spurious-xprint.patch
  * xvidtune.diff
  * xdm-add-support-for-clients-that-sent-ipv4-addresses.diff
  * xdm-greeter_fix_logging_of_failed_login_attempts.patch
* Thu Sep  2 2010 sndirsch@suse.de
- /etc/X11/xdm/Xsetup
  * removed obsolete xrandr hacks including variables in
    displaymanager sysconfig (bnc #623250)
* Thu Aug 12 2010 sndirsch@suse.de
- xdm-greeter_fix_logging_of_failed_login_attempts.patch
  * fix logging of failed login attempts (bnc #613172, bfo #26015)
* Tue Jul 20 2010 sndirsch@suse.de
- luit 1.0.5
  * fixes also luit hang before exit (bnc #623790)
* Mon Jul 19 2010 werner@suse.de
- Newer killproc sends only SIGTERM as required by LSB if -TERM is
  specified on the command line.  Use the default which is SIGTERM
  followed by SIGKILL if the timeout of 5 seconds is reached.
* Fri Jun 25 2010 sndirsch@suse.de
- xrdb-traditional-cpp.diff
  * run cpp with option "-traditional-cpp" to fix multiline X
    resources (bnc #615036)
* Sat Jun 19 2010 sndirsch@suse.de
- /etc/X11/xdm/keytable:
  * model/rules is always "evdev", not matter what you write to
    keyboard section
  * option terminate:ctrl_alt_bksp no longer required; now fixed
    for real in xkeyboard-config
* Thu May 27 2010 sndirsch@suse.de
- /etc/X11/xdm/Keyboard.map
  * added mapping to chinese/taiwanese dummy keyboards (bnc #603950)
* Tue May 25 2010 sndirsch@suse.de
- /etc/init.d/xdm
  * added dbus to "Required-Start" to fix gdm start (bnc #608526)
* Sat May 15 2010 sndirsch@suse.de
- /etc/X11/xdm/Keyboard.map
  * added keyboard mapping for lt.std (bnc #606063)
* Fri May 14 2010 sndirsch@suse.de
- /etc/X11/xdm/keytable:
  * if no mapping is available, fall back to "us" (bnc #606063)
* Mon May 10 2010 guido+opensuse.org@berhoerster.name
- add proper categories to the desktop files
* Tue Apr 20 2010 eich@suse.de
- Add support for 'seamless boot experience' to display manager
  startup script. This also requires bootsplash kernel support.
  We check the version of the bootsplash kernel code to find out
  if the required feature is supported.
* Sun Apr 11 2010 sndirsch@suse.de
- specfile cleanup
* Sun Apr 11 2010 sndirsch@suse.de
- reorganized patches
  * 0001-XDM-Add-support-for-clients-that-sent-ipv4-addresses.patch
  - -> xdm-add-support-for-clients-that-sent-ipv4-addresses.diff
  * p_twm_sig11.diff --> twm-sig11.diff
  * p_xrdb.diff --> xrdb.diff
  * ps_suse.diff --> twm-suse.diff, xinit-suse.diff
  * p_xauth.diff --> xauth-tolerant-hostname-changes.diff,
    xdm-tolerant-hostname-changes.diff,
    xinit-tolerant-hostname-changes.diff
- removed obsolete 'p_bugzilla-117193-luit-sometimes-hangs.diff'
* Fri Apr  9 2010 sndirsch@suse.de
- configure xrdb with "--with-cpp=/usr/bin/cpp"; otherwise it
  apparently gets compiled without cpp support, which breaks e.g.
  emacs ('Undefined color: "WINDOW FOREGROUND"')
* Wed Apr  7 2010 sndirsch@suse.de
- etc/X11/xdm/keytable:
  * make Zapping possible again; still beeps first (bnc #576481)
* Tue Apr  6 2010 eich@suse.de
- xcursorgen: change dependency on libpng from libpng12 to libpng.
  This change makes it build with libpng14, too.
* Mon Apr  5 2010 sndirsch@suse.de
- xdm 1.1.9
- xsm 1.0.1-20100211-4f56a25
- adjusted xdm-consolekit.diff
- removed xphelloworld-X11R7.0-1.0.1.tar.bz2 (requires Xaw8)
* Sun Apr  4 2010 sndirsch@suse.de
- bdftopcf 1.0.2
- iceauth 1.0.3
- luit 1.0.4
- mkfontdir 1.0.5
- mkfontscale 1.0.7
- sessreg 1.0.5
- smproxy 1.0.3
- x11perf 1.5.1
- xbacklight 1.1.1
- xcmsdb 1.0.2
- xcursor-themes 1.0.2
- xcursorgen 1.0.3
- xev 1.0.4
- xgamma 1.0.3
- xhost 1.0.3
- xinput 1.5.0
- xkbcomp 1.1.1
- xkbevd 1.1.0
- xkbutils 1.0.2
- xkill 1.0.2
- xlsatoms 1.0.2
- xlsclients 1.0.2
- xmodmap 1.0.4
- xpr 1.0.3
- xprop 1.1.0
- xrdb 1.0.6
- xrefresh 1.0.3
- xset 1.1.0
- xsetroot 1.0.3
- xvinfo 1.1.0
- xwd 1.0.3
- xwininfo 1.0.5
- xwud 1.0.2
- obsoletes xbacklight_5512e16_Use-Backlight-RandR-property-fall-back-to-legacy.patch
- obsoletes C89-fix.patch
- obsoletes Change-xauth_CFLAGS-to-AM_CFLAGS-to-make-automake-1.patch
- obsoletes Replace-rsh-by-ssh-the-extract-merge-example.-Rsh-is.patch
- bumped version number to 7.5
* Sun Mar 21 2010 ro@suse.de
- xdm.tar.bz2: fix some typos in keytable script
- steal Keytable.map from sax2 and install it to /etc/X11/xdm
  and use that from the keytable script
* Fri Mar 19 2010 ro@suse.de
- change xdm init-script to call keytable instead of keytable4hal
- rename keytable4hal to keytable and write xorg.conf.d snippet
* Wed Mar 17 2010 werner@suse.de
- Make xdm init scripts more flexible
* Mon Jan 18 2010 sndirsch@suse.de
- sysconfig.displaymanager:
  improved description for DISPLAYMANAGER_SHUTDOWN (bnc #570656)
* Sat Jan 16 2010 sndirsch@suse.de
- adjusted lbxproxy.diff
- add libXi6-devel to Requires
- lbxproxy-1.0.2
- xdpyinfo-1.1.0
* Sun Dec 27 2009 vuntz@opensuse.org
- xdm.tar.bz2:
  * GNOME_KEYRING_CONTROL is actually a directory.
* Thu Dec 24 2009 sndirsch@suse.de
- xdm.tar.bz2:
  * etc/X11/xdm/sys.xsession: GNOME_KEYRING_SOCKET has been renamed
    to GNOME_KEYRING_CONTROL in gnome-keyring 2.29.4 (bnc #567231)
* Fri Dec 18 2009 sndirsch@suse.de
- /etc/init.d/xdm: added support for entrance (E17) login manager;
  add this option also to /etc/sysconfig/displaymanger:DISPLAYMANAGER
  (bnc #565583)
* Mon Dec 14 2009 jengelh@medozas.de
- enable parallel building
* Sat Dec  5 2009 sndirsch@suse.de
- improved consolekit support in xdm (bnc #556594)
  * better error message in 'xdm-consolekit.diff' patch when
    console-kit-daemon is not available/running
  * added ConsoleKit package to Requires
* Mon Nov 30 2009 sndirsch@suse.de
- 0001-XDM-Add-support-for-clients-that-sent-ipv4-addresses.patch
  * XDM: Add support for clients that sent ipv4 addresses to a
    dual-stacked host, which obsoletes listen to IPv4 connections
    only (bnc #546632)
* Sat Nov 14 2009 sndirsch@suse.de
- regenerated rstart.diff
* Wed Nov  4 2009 sndirsch@suse.de
- keytables4hal
  * fix parsing of keyboard model in mapping table (bnc #552448)
  * let the "macbook79" model through instead of hardcoding
    "evdev" (bnc #552448)
* Sun Nov  1 2009 sndirsch@suse.de
- /etc/X11/xdm/Xaccess
  * switched to version of xdm 1.1.8 (which only includes updated
    comments)
  * listen to IPv4 connections only (bnc #546632)
* Sat Oct 24 2009 andrea@opensuse.org
- added LXDM support to /etc/init.d/xdm (openFATE #307729)
* Thu Oct  8 2009 sndirsch@suse.de
- fix ssh-agent code in sys.xsession for GNOME session (bnc #545302)
* Thu Oct  8 2009 sndirsch@suse.de
- xfs: removed deprecate options for font cache in config file
  (bnc #545269)
* Wed Oct  7 2009 mhopf@novell.com
- Update xrandr to 1.3.2
  * Warn if given output does not exist
  * More stable number parsing
- xbacklight_5512e16_Use-Backlight-RandR-property-fall-back-to-legacy.patch
  * Support for new standard "Backlight" property (bnc #541606)
* Wed Sep 23 2009 sndirsch@suse.de
- keytable4hal: .fdi file should be in /etc/hal/fdi (bnc #540955)
* Wed Sep 16 2009 tiwai@suse.de
- add missing autoreconf call for xdm (bnc#537364)
* Mon Sep 14 2009 sndirsch@suse.de
- /etc/init.d/xdm
  * fixed killproc options (bnc #501770)
* Thu Sep  3 2009 eich@suse.de
- When (re)writing the the keymap fdi file for hald
  remove hald cache file before restarting the daemon
* Thu Sep  3 2009 eich@suse.de
- Simplify keytables4hal and resulting .fdi file.
  * don't match for Linux - we *are* on Linux.
  * "layout" is mandatory, always add.
  * only use KEYTABLE env variable to determine if we need to regenerate
    .fdi file.
  * fix typo.
* Wed Sep  2 2009 sndirsch@suse.de
- keytables4hal
  * set xkb variant to empty for layouts, where it isn't used by
    default (bnc #518281)
* Tue Sep  1 2009 eich@suse.de
- keytables4hal
  Updated keytable generator to also set the keyboard model.
  (required for abnt2 and jp106 keyboards)
* Wed Aug 26 2009 sndirsch@suse.de
- /etc/init.d/xdm
  * exit gracefully if gdm has already been started successfully
    by earlyxdm (bnc #534179)
* Thu Aug 20 2009 sndirsch@suse.de
- xrestop.tar.gz --> xrestop.tar.bz2 so it gets built, installed
  and eventually packaged; needs ncurses-devel (bnc #532741)
* Wed Aug 19 2009 sndirsch@suse.de
- /etc/init.d/xdm
  * added support for SLIM login manager (bnc #531667)
* Tue Aug 18 2009 tiwai@suse.de
- add missing ConsoleKit-devel to buildrequires
* Tue Aug 11 2009 sndirsch@suse.de
- xrandr 1.3.1
  * The last couple of fixes hanged long enough to be declared
    good, and at least the server grab fix is important enough
    to justify a release.
* Tue Aug 11 2009 sndirsch@suse.de
- mkfontscale-skip_symlinks.diff
  * skip also broken symlinks (bnc #529815)
* Sat Aug  8 2009 sndirsch@suse.de
- xdm-consolekit.diff
  * adds consolekit support for xdm (Takashi Iwai, bnc #528829)
* Mon Aug  3 2009 sndirsch@suse.de
- xmag 1.0.3
- xrx 1.0.3
* Mon Aug  3 2009 sndirsch@suse.de
- rstart 1.0.3
* Fri Jul 24 2009 llunak@novell.com
- add hooks for kvkbd to /etc/X11/xdm/
* Thu Jul  9 2009 sndirsch@suse.de
- xkbcomp 1.1.0
  * a few bug fixes, cleanups, comments and a run of 'indent' over
    the repository.
- setxkbmap 1.1.0
  * changes include cleanups and a run of 'indent' over the
    repository.
* Fri Jun 19 2009 sndirsch@suse.de
- xfs 1.1.0
  * various fixes
* Fri Jun  5 2009 eich@suse.de
- Add patches taken from Moblin:
  * xauth:
    . move structure declaration to correct place:
    fix build for non C99 compilers.
    . Change xauth_CFLAGS to AM_CFLAGS to make automake-1.10 happier
    . Replace rsh by ssh the extract/merge example. Rsh is no more.
  * xconsole
    . remove inclusion of sys/stropts.h
  * xinit: set stdin to /dev/null.
* Mon May 18 2009 sndirsch@suse.de
- /etc/init.d/xdm, /etc/X11/xdm/keytable4hal
  * moved restart of hald (if required) from keytable4hal to xdm
    init script; if keytable4hal returns 0 ==> restart required;
* Thu May  7 2009 sndirsch@suse.de
- xinput 1.4.1
  * This release brings mainly 64-bit fixes. Also, the device list
    now prints out the type (MOUSE, KEYBOARD, etc.).
* Sat Apr 25 2009 sndirsch@suse.de
- keytable4hal
  * fixed it again ('x' means nothing specified!)
* Thu Apr 23 2009 sndirsch@suse.de
- mkfontscale-skip_symlinks.diff
  * skip symlinks if they refer to files in the same directory
    (bnc #496860)
* Wed Apr 22 2009 sndirsch@suse.de
- misc.tar.bz2/xdm.tar.bz2/xinit.tar.bz2:
  * make use of '-nocpp' option for xrdb where possible and no
    longer support configuration for monochrome visuals
  * motif configuration for acroread is absolute; it uses gtk now
* Wed Apr 22 2009 sndirsch@suse.de
- keytable4hal
  * fixed the bug, which causes the layout, variant and option
    entries to be written even if no such thing was specified.
    (Egbert Eich)
* Wed Apr 15 2009 sndirsch@suse.de
- /etc/init.d/xdm
  * /etc/X11/xdm/SuSEconfig.xdm not required for gdm (hpj)
* Tue Apr 14 2009 sndirsch@suse.de
- keytable4hal
  * only create new .fdi file and reload haldaemon if keyboard
    configuration has changed (Hans Petter Jansson <hpj@novell.com>)
* Mon Apr  6 2009 sndirsch@suse.de
- xinput 1.4.1
  * Nothing particularly exciting, a few minor fixes. Requires
    xorg-macros 1.2 now.
* Wed Apr  1 2009 sndirsch@suse.de
- xrandr 1.3.0
  * Set the screen config on the correct screen.
  * Allow zero replies from GetPanning to mean panning is
    unavailable.
  * Revert "Move outputs among crtcs as necessary. Fixes 14570"
- obsoletes xrandr-commit-39a1678.diff
* Tue Mar 17 2009 sndirsch@suse.de
- xdm init script
  * generate HAL .fdi file for global X11 keyboard configuration
    via new script 'keytable4hal'
* Tue Mar 10 2009 sndirsch@suse.de
- xrandr-commit-39a1678.diff
  * Revert "Move outputs among crtcs as necessary. Fixes 14570"
    This reverts commit 4dcc8ae1a6903434def1a2706f7c68ff9e2a17c4.
    The commit broke uncloning completely again.
* Mon Mar  9 2009 sndirsch@suse.de
- xinitrc.common: no longer apply xkbcomp workaround, which should
  be obsolete with xorg-server 1.6 (bnc #483651)
* Thu Feb 26 2009 sndirsch@suse.de
- xinput 1.4.0
- xrandr 1.2.99.4
* Wed Feb 25 2009 sndirsch@suse.de
- mkfontscale 1.0.6
- xinit 1.1.1
- xedit 1.1.2
* Tue Feb 24 2009 sndirsch@suse.de
- added xrestop sources; added provides/obsoletes for xrestop
* Mon Feb 16 2009 sndirsch@suse.de
- /etc/X11/xdm/SuSEconfig.xdm:
  * /var/X11R6/bin no longer covered by FHS; switched to
    /var/lib/X11 (bnc #470969)
* Thu Feb  5 2009 sndirsch@suse.de
- /etc/X11/xinit/xserverrc
  * replace '$(hostname -f)' with 'localhost' (bnc #438288)
- /etc/X11/xdm/Xstartup
  * no longer try $(hostname -f) (bnc #438288)
* Thu Feb  5 2009 sndirsch@suse.de
- /usr/X11R6/bin/xauth compatibility link no longer required
  (bnc #471013)
- moved /etc/X11/rstart/rstartd.real to /usr/bin for FHS/FSSTND
  compliance (bnc #470983)
- no longer package libxrx.a/libxrxnest.a
* Sat Dec 20 2008 sndirsch@suse.de
- /etc/X11/xdm/Xsetup
  * use '-keyfile /usr/share/X11/app-defaults/xvkbd.default' for
    xvkbd to disable "Automatic Click"
* Sat Oct 25 2008 sndirsch@suse.de
- xfs-no_config_file.diff
  * don't use -config option for cloning if no config_file has
    been specified during start of xfs (bnc #419576)
* Wed Oct 22 2008 sndirsch@suse.de
- /etc/X11/xdm/{Xsetup,Xstartup}
  * start xvkbd also if autologin has been configured (bnc #408736)
* Mon Oct 13 2008 sndirsch@suse.de
- added missing colon in grep pattern from previous change
  (bnc #433983)
* Sat Oct 11 2008 sndirsch@suse.de
- xinitrc.common: run xkbcomp only on newer Xservers (bnc #433983)
* Mon Sep 22 2008 sndirsch@suse.de
- split out xauth in seperate package (bnc #428104)
* Mon Sep 15 2008 sndirsch@suse.de
- pam_resmgr still required on openSUSE <= 11.0 (bnc #422614)
* Thu Sep 11 2008 sndirsch@suse.de
- bumped release number to 7.4
* Tue Sep  9 2008 sndirsch@suse.de
- added /usr/lib64/X11 dir to filelist to fix build on 64bit
  platforms
* Mon Sep  8 2008 sndirsch@suse.de
- proofread of XDMCP description (bnc #424434)
* Wed Sep  3 2008 sndirsch@suse.de
- removed pam_resmgr from /etc/pam.d/xdm{,-np} (bnc #422614)
* Fri Aug 29 2008 sndirsch@suse.de
- moved %%verifyscript/%%verify_permissions from %%clean to %%post
  (bnc #421243)
* Fri Aug 22 2008 ro@suse.de
- remove deprecated option from fillup_and_insserv call
* Mon Aug 11 2008 sndirsch@suse.de
- fixed LSB headers of xdm/xfs init scripts
* Sat Aug  9 2008 sndirsch@suse.de
- no longer enable external resolution on laptops, i.e. set
  sysconfig variable DISPLAYMANAGER_RANDR_MODE_VGA to empty string
  instead of "auto" before; this time for real! (bnc #405399)
* Fri Aug  1 2008 sndirsch@suse.de
- xedit 1.1.1
- obsoletes additionally packaged util.h
* Thu Jul 31 2008 sndirsch@suse.de
- xedit 1.1.0
  * bug fixes and new features
- obsoletes xedit.diff
* Thu Jul 10 2008 sndirsch@suse.de
- fixed xfs init script start (bnc #408006)
* Wed Jul  2 2008 sndirsch@suse.de
- no longer enable external resolution on laptops, i.e. set
  sysconfig variable DISPLAYMANAGER_RANDR_MODE_VGA to empty string
  instead of "auto" before (bnc #405399)
* Tue Jul  1 2008 sndirsch@suse.de
- xwd 1.0.2 / xwininfo 1.0.4
  * Fix window selection by pointer
* Wed Jun 25 2008 sndirsch@suse.de
- xrx 1.0.2
* Fri Jun 13 2008 sndirsch@suse.de
- sessreg 1.0.4
- rgb 1.0.3
- xinit 1.1.0
  * Properly handle using xserverrc, which was broken in 1.0.9
* Mon Jun  9 2008 sndirsch@suse.de
- /etc/X11/xinit/xinitrc.common: fix keyboard before calling
  xmodmap (bnc #397942)
* Thu May 29 2008 schwab@suse.de
- Fix crash in xfd when a font spec cannot be parsed.
* Mon May 26 2008 sndirsch@suse.de
- xdm init script
  * bail out verbosely if /etc/X11/xorg.conf.install does not exist
    in failsafe mode (bnc #394316)
* Sun May 25 2008 sndirsch@suse.de
- xfs 1.0.8
  * Fix nasty typo in SetConfigValues
  * obsoletes xfs-commit-9666b76.diff
- xfsinfo 1.0.2
  * Clarify syntax of -server & FONTSERVER in man page
  * Plug memory leaks (Coverity ids 570 & 571)
  * Replace (1) with __appmansuffix__ in man page
- fslsfonts 1.0.2
  * Clarify syntax of -server & FONTSERVER in man page
- fstobdf 1.0.3
  * Clarify syntax of -server & FONTSERVER in man page
  * Move extern declarations to fstobdf.h
- showfont 1.0.2
  * Sun bug 1232854: showfont dumps core with jisx208, jisx212
    japanese fonts
  * Replace hardcoded man page sections with variables
  * Clarify syntax of -server & FONTSERVER in man page
- back to xinit 1.0.8, since 1.0.9 broke startx
* Fri May 23 2008 sndirsch@suse.de
- xfs-commit-9666b76.diff
  Fix nasty typo in SetConfigValues. Nasty typo introduced in
  4a163a076e90808fa47ade1504fd0f2893bdc306, causes xfs to crash on
  startup. http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=482551
* Fri May 23 2008 sndirsch@suse.de
- implemented ssh-add in xinitrc (commented out, bnc #393813)
* Fri May 23 2008 sndirsch@suse.de
- moved setxkbmap call from /etc/X11/xdm/Xstartup to
  /etc/X11/xinit/xinitrc.common (bnc #368673)
* Thu May 22 2008 sndirsch@suse.de
- xfs 1.0.7
  * Fix --with-default-config to work with more than two config
    files
  * Return an error to the log instead of segfaulting
  * Allow font server to start with pid longer than 5 digits
- obsoletes xfs.diff
- xdpyinfo 1.0.3
  * Ignore errors from xf86misc rather than crashing out.
  * X.Org bug #10616: Add all the X info commands to See Also in
    man page
  * Add missing PHONY line for automatic ChangeLog generation
  * Handle XExtension{Keyboard,Pointer}, added in inputproto 1.4
- xdm 1.1.8
  * Added include of pwd.h so we build correctly on OS-X - see xorg
    mailing list
  * Build fix for case-insensitive file systems
  * Fix installation of app-defaults
  * Fix build with builddir != srcdir
  * $(builddir) is the current directory
  * README: nuke RCS Id
  * Bug 10145: xdm passes file descriptors to children
- xinit 1.0.9
  * Unset session environment variables so startx works within a
    running session.
  * Use od on /dev/random to generate cookie on Solaris
  * Check for proper cookie creation on all platforms
  * Use /bin/ksh instead of /bin/sh on Solaris
  * Use /dev/urandom for cookie it it exists
  * Apple: Fixed issue where display would not be passed correctly
    to the server if nolisten tcp was enabled.
  * Apple: Execute /usr/X11/bin/privileged_startx if it's present
  * Apple: Renamed LaunchAgent to org.x.startx to distinguish it
    from the org.x.X11 application
  * Correctly handle users with spaces in $HOME
  * Apple: privileged_startx is in XINITDIR
  * Apple: We renamed font_cache.sh to font_cache for better
    consistency... Changing startx to work with this
  * Apple: Wait for privileged_startx to finish, so we don't race
    to create /tmp/.X11-unix
  * Apple: Added privileged_startx
  * Apple: Fixed make dist to include a missing header and not
    include generated sources
  * Cleaned up handling of defaultserver{,args}
  * Apple: Use CFProcessPath instead of argv[0] trick.
  * Apple: Added some OSX version protection, so this will still
    compile on Tiger and below.
  * Apple: No need for these bits being here in xinit as of
    xserver-1.4.0-apple9
  * Apple: Don't need to spew unneccessary 'directory exists'
    messages.
  * OpenBSD: use openssl rand -hex 16 to generate the cookie.
  * Replace sprintf() and strcpy() with snprintf().
- adjusted p_xauth.diff, ps_suse.diff
* Mon May 19 2008 sndirsch@suse.de
- latest change somewhat got lost; fixed that
* Thu May 15 2008 sndirsch@suse.de
- /etc/X11/xdm/SuSEconfig.xdm
  * do not check the timestamp of /var/X11R6/bin/X, otherwise this
    can result in an endless loop (bnc #390220)
* Wed May 14 2008 werner@suse.de
- /etc/X11/xdm/sys.xsession
  * Support gnome-keyring as replacment for gpg-agent (bnc#383353)
  * Support seahorse-agent for gnome sessions (bnc#389896, bnc#383353)
* Tue May 13 2008 sndirsch@suse.de
- /etc/X11/xdm/Xsetup
  * get rid of running compiz and gtk-window-decorator (bnc #387168)
* Sun May 11 2008 sndirsch@suse.de
- mkfontscale 1.0.5
  * This version fixes a long-standing bug in mkfontdir that would
    cause both PCF and BDF variants of a font to be included into
    the fonts.dir file under some circumstances.  It also fixes the
    handling of OpenType/CFF fonts with embedded bitmaps, which will
    no longer be mistaken for bitmap fonts.
- fonttosfnt 1.0.4
  * This version fixes a crash on architectures that have an
    'interesting' implementation of va_list, such as AMD64. It also
    fixes support for fonts with non-square pixels.
* Thu May  8 2008 sndirsch@suse.de
- xdm init script
  * do not start kdm4, when it's already running (bnc #388006)
* Wed May  7 2008 sndirsch@suse.de
- xkbcomp 1.0.5
  * xkbcomp: Take a device ID argument
  * Don't scan paths which make NO SENSE WHATSOEVER TO SCAN
* Tue May  6 2008 dmueller@suse.de
- update documentation for kdm3 and kdm4 (bnc #381821)
* Mon Apr 28 2008 sndirsch@suse.de
- handle two new display managers: kdm3 and kdm4 (bnc #381821)
* Mon Apr 28 2008 sndirsch@suse.de
- xdm init script:
  * use kdm4 if "startkde4" is specified as $DEFAULT_WM (bnc #381821)
* Fri Apr 18 2008 sndirsch@suse.de
- moved stupid workaround to fix keyboard layouts to Xstartup
  (bnc #368673)
* Wed Apr 16 2008 werner@suse.de
- Make gpg-agent shutdown after a session is closed (bnc #351888)
* Tue Apr  8 2008 sndirsch@suse.de
- /etc/X11/xdm/Xsetup
  * added stupid workaround to fix keyboard layouts (bnc #368673)
* Mon Apr  7 2008 sndirsch@suse.de
- added SuSEfirewall2 configuration file for XDMCP (bnc #377359)
* Fri Apr  4 2008 sndirsch@suse.de
- /etc/X11/xdm/{Xsetup,Xstartup}
  * fixed check for autologin (Bug #372729)
* Sat Mar  8 2008 sndirsch@suse.de
- xinit 1.0.8
- xkbcomp 1.0.4
- xrdb 1.0.5
- xset 1.0.4
- xrandr 1.2.3
  * obsoletes xrandr-commit-307f368.diff
  * obsoletes xrandr-commit-f7aaf89.diff
- rendercheck 1.3
- x11perf 1.5
- xdm 1.1.7
- xev 1.0.3
- xprop 1.0.4
* Fri Mar  7 2008 dmueller@suse.de
- fix stopping of kdm4
* Thu Mar  6 2008 sndirsch@suse.de
- mkfontscale 1.0.4
- mkfontdir 1.0.4
- twm 1.0.4
- xauth 1.0.3
- xcompmgr 1.1.4
  * obsoletes xcompmgr package
* Tue Feb 19 2008 sndirsch@suse.de
- /etc/X11/xinit/xinitrc.common
  * windowmanager no longer needs to be started via dbus-launch
    (bnc #361180)
* Fri Feb 15 2008 sndirsch@suse.de
- /etc/X11/xdm/Xsetup: don't ignore KDE4 (bnc #361774)
* Wed Feb  6 2008 sndirsch@suse.de
- removed grandr tool due to dependancies and missing stability; I
  think we have better and more reliable graphical tools meanwhile
  for RANDR 1.2 configuration
* Fri Feb  1 2008 sndirsch@suse.de
- updated luit to release 1.0.3
* Sat Jan 26 2008 sndirsch@suse.de
- /etc/X11/xdm/Xsetup
  * when running glxinfo with fglrx driver the first time it
    hangs forever, so run it once in the background and kill it
    after waiting one second (Bug #345035)
* Thu Jan 24 2008 sndirsch@suse.de
- xdm init script:
  * No longer ignore kdm4. kdm3 is preferred for now (Bug #355990)
* Wed Jan 23 2008 sndirsch@suse.de
- xdm init script: enabled graphical failsafe mode (Bug #246158)
* Thu Jan 10 2008 sndirsch@suse.de
- added xinput utility (1.3.0)
* Tue Dec  4 2007 sndirsch@suse.de
- sysconfig.displaymanager:
  * '### Config:' line removed (SuSEconfig scripts have been dropped)
* Tue Nov 27 2007 sndirsch@suse.de
- xrandr-commit-307f368.diff
  * Verify crtc against previous config.
- xrandr-commit-f7aaf89.diff
  * Always reset other outputs using the best crtc.
* Fri Nov  9 2007 sndirsch@suse.de
- /etc/X11/xdm/Xsetup
  * added -always-on-top option to xvkbd call (Bug #304399)
* Wed Nov  7 2007 sndirsch@suse.de
- /etc/X11/xdm/Xsetup:
  * /opt/gnome/sbin/gdm --> /usr/sbin/gdm
  * gnome-window-decorator --> gtk-window-decorator
* Fri Oct 12 2007 sndirsch@suse.de
- fixed xdm tarball
* Wed Oct 10 2007 sndirsch@suse.de
- xdm init script: moved acpid from Required-Start to Should-Start
  (Bug #332074)
* Fri Oct  5 2007 sndirsch@suse.de
- stop the running display manager instead of the configured one in
  /etc/sysconfig/displaymanager (Bug #306035)
* Tue Oct  2 2007 sndirsch@suse.de
- xfs 1.0.5
  * Document catalogue:<dir> feature
  * fix for integer overflows in build_range(). CVE-4568.
  * Fix for heap overwrite in swap_char2b() CVE-2007-4568.
- obsoletes bug-30806x.diff
* Mon Oct  1 2007 sndirsch@suse.de
- bug-30806x.diff:
  * build_range() Server Integer Overflow Vulnerability in X Font
    Server (Bug #308064, IDEF2708)
  * fixes swap_char2b() Heap Overflow Vulnerability in X Font
    Server (Bug #308066, IDEF2709)
* Sat Sep 29 2007 sndirsch@suse.de
- bumped version to 7.3
* Fri Sep 28 2007 sndirsch@suse.de
- xsetpointer 1.0.1
  * This one just merges the input-hotplug branch
- xinit 1.0.7
  * This release fixes a bug that caused the startx script to not
    be POSIX compatible anymore.
* Wed Sep 12 2007 sndirsch@suse.de
- added acpid to Required-Start of xdm (Bug #309676)
* Mon Sep 10 2007 sndirsch@suse.de
- beforelight 1.0.3
  * Rename .cvsignore to .gitignore
  * Add *~ to .gitignore to skip patch/emacs droppings
  * update to 1.0.3
- obsoletes beforelight.diff
* Sat Sep  8 2007 sndirsch@suse.de
- xbacklight 1.1
  * Add licenses
- removed xdriinfo tarball; the current version is built in freeglut
  package due to the need of libglut
* Thu Sep  6 2007 sndirsch@suse.de
- xinit 1.0.5
  * This release fixes authentication issues on systems without an
    mcookie application.
* Tue Aug 28 2007 sndirsch@suse.de
- xset 1.0.3
  * Bug #9524: Markup problems on xset.1x
- xwininfo 1.0.3
  * X.Org bug #10616: Add all the X info commands to See Also in
    man page
  * Purge unused code from dsimple.c
  * dsimple.c: ANSIfy function declarations
  * Replace sprintf's with snprintf & strlcat
  * Add static & const qualifiers to xwininfo.c
* Fri Aug 24 2007 sndirsch@suse.de
- xcursorgen 1.0.2
  * Coverity #621: RESOURCE_LEAK: Returned without freeing storage
    "curr"
  * Coverity #624: RESOURCE_LEAK: Returned without freeing storage
    "fp"
  * Add options/flags to man page & other man page cleanups
  * Correct help flag in usage message (-?, not -h)
  * Use strdup instead of malloc/strlen/strcpy
  * Set version string in man page
- xconsole 1.0.3
  * Check if openpty() is available and use it if it is.
  * obsoletes xconsole.diff
- xcalc 1.0.2
  * Bug #4914: Add HP mode resources to XCalc-color app-defaults
  * Fill in COPYING with copyright/license notices from source
    files
* Sat Aug 18 2007 sndirsch@suse.de
- sessreg 1.0.3
  * X.Org Bug #9887: sessreg should include sys/types.h on FreeBSD
* Fri Aug 17 2007 sndirsch@suse.de
- xdm 1.1.6
  * Debian Bug #437961: loading Xresources fails because
    bindir/xrdb does not exist
  * Debian Bug #376391: xdm manpage refers to non-existent section
  'Typical Usage'
- xvinfo 1.0.2
  * X.Org bug #10616: Add all the X info commands to See Also in
    man page
  * Fix typo in man page (accesible)
  * Fix FourCC name output on big endian platforms.
* Thu Aug 16 2007 sndirsch@suse.de
- xmag 1.0.2
  * X.Org Bug #10616: xmag man page says "Cut" button instead of
    "Select"
  * Sun bug 6359959: xmag overconsumes CPU due to its selection
    box
  * Make fix for Sun bug 6359959 more portable - use nanosleep,
    poll or select
  * Sun bug 1166559: highlight of selection box not discernable on
    some configs
- xrdb 1.0.4
  * Bug #10616: Man page grammar fix:
    s/This never be/This should never be/
* Mon Aug 13 2007 sndirsch@suse.de
- xdm init script: earlykdm -> earlyxdm (coolo)
* Sat Aug 11 2007 sndirsch@suse.de
- xprop 1.0.3
  * X.Org bug #10616: Add all the X info commands ...
  * Coverity #905: Handle_Prop_Requests returned without freeing
    storage "thunks"
  * Sun Bug 4474581: xprop fails in Japanese locale
* Fri Aug 10 2007 sndirsch@suse.de
- xdm 1.1.5
  * Bug #11020: xdm doesn't set SSH_AUTH_SOCK even though using
    with pam_ssh
  * Bug #11096: xdm(1) manpage should document Xft-related
    properties
  * Document more of the greeter resources in xdm man page
  * Add --enable-xdm-auth/--disable-xdm-auth to configure options
  * X.Org Bug #10992: xlogin crashes if window size is too small
  * Set Xcursor theme to whiteglass in default login screen
    resources
  * Make #ifdef XPM only control whether XPM pixmap logo is shown
  * Set default cursor for entire root window, not just greeter
  * Bug #10530: xdm's path to xrdb could be configurable at compile
    time
  * X.Org Bug 10632 / Debian Bug 256299: race condition in
    policy.c:Willing()
- xman 1.0.3
  * Sun Bug 6504978: xman on Solaris x86 does not render correctly,
    nroff visible
* Fri Aug 10 2007 sndirsch@suse.de
- xsetroot 1.0.2
  * Typo, it's xsetroot, not setroot.
- xmessage 1.0.2
  * minor build changes
* Tue Aug  7 2007 sndirsch@suse.de
- xclock 1.0.3
  * X.Org Bug 10775: xclock does not set _NET_WM_PID
- xgamma 1.0.2
  * X.Org Bug #10616: xgamma man page describes how to print gamma
    poorly
- xmodmap 1.0.3
  * Bug 10616: manpage should note -pm is the default if no options
    are given
* Wed Jul 25 2007 sndirsch@suse.de
- iceauth 1.0.2
  * Coverity #1039: Using uninitialized value "authdata"
  * Coverity #1089: Double frees in error cleanup path
  * Replace copystring() with strdup() calls
  * Bug 10739: iceauth dumps core if signal caught before initialization done
  * ANSIfy function declarations
  * Constify some static data constants
  * Debian Bug #25285: iceauth manpage starts with blank screen
  * More constification and reduction of rw data in binary
- setxkbmap 1.0.4
  * Bug 7841: setxkbmap man page doesn't describe all switches
  * More man page cleanups (grammatical nits, etc.)
  * Minor code cleanups (remove unused static and opencoding of strdup)
* Sat Jul 21 2007 sndirsch@suse.de
- ico 1.0.2:
  * Minor release to fix man page typo and automake-1.10
    compatibility.
* Tue Jul 17 2007 sndirsch@suse.de
- xhost 1.0.2
  * Add note pointing to Xsecurity man page for more info on SI
    options
  * Bug #10616: Typo in xhost.man: s/effect/affect/
* Thu Jul 12 2007 sndirsch@suse.de
- added missing resources to global Xresource file (Bug #291365)
* Tue Jul 10 2007 sndirsch@suse.de
- cpp needs "-a" option to make it less conformant (Bug #290656)
* Tue Jul 10 2007 sndirsch@suse.de
- back to cpp (Bug #290656)
* Fri Jul  6 2007 sndirsch@suse.de
- added .desktop files
* Thu Jul  5 2007 sndirsch@suse.de
- xrandr 1.2.2
  * Man page formatting and typo fixes
  * Add *~ to .gitignore to skip emacs & patch droppings
  * Clean up code structure a bit
  * When simple CRTC allocation fails, search all available configs.
  * Document 1.2.1 options
  * Mark 1.1 options as inconsistent with 1.2 options
  * Print out mode flags in --verbose mode
* Wed Jul  4 2007 sndirsch@suse.de
- xrandr 1.2.1 (obsoletes xrandr.diff, xrandr_12_newmode.diff)
  * Fix a typo.  Make mode flags case insensitive. Improve error
    messages.
  * Fix bugs found by compiling with -Wall.
  * Add --same-as option to match output positions.
  * Add --newmode/--rmmode to create/destroy user modes.
  * Add --addmode and --delmode commands to edit list of modes per output.
  * Make --auto after --output only affect the output.
  * Make --q1 output RandR 1.1 query information.
  * Bounds check -s <index> argument to be 0 <= index < nsize
  * Add --set option to set output properties.
  * Support XA_ATOM properties (like TV_FORMAT).
  * Skip relative positions for outputs without modes.
  * Fixed alignment of the clones list.
- grandr 0.1 (GTK+ based RandR UI)
  * Intel's Open Source technology center is pleased to announce
    the initial version of a GTK+-based tool to configure the X
    output using the RandR 1.2 extension. grandr, written by Ming
    Lin, provides a friendly interface to monitor configuration
    and includes controls for video mode, rotation and monitor
    position.
- xbacklight 1.0
  * xbacklight is a simple command-line utility to set the
    backlight level using the RandR 1.2 BACKLIGHT output property.
- xinit 1.0.4
* Thu Jun 28 2007 dmueller@suse.de
- xauth: crash on removing non-existant entry
* Fri Jun 22 2007 sndirsch@suse.de
- xdm: no need to run SuSEconfig.xdm by kdm
* Mon Jun 18 2007 dmueller@suse.de
- xrdb: cpp -> mcpp (2300kb -> 51kb)
* Sat Apr 28 2007 sndirsch@suse.de
- /etc/init.d/xdm:
  * added winbind to Should-Start (Bug #269211)
* Fri Apr 27 2007 sndirsch@suse.de
- update bdftopcf to release 1.0.1
  * Minor bug fix/cleanup release.
* Thu Mar 22 2007 sndirsch@suse.de
- updated xload to release 1.0.2
  * configure.ac: Update version for another release.
  * xload.c: Check setuid() return value. Bugzilla #7116
* Wed Mar 21 2007 sndirsch@suse.de
- updated mkfontdir to release 1.0.3
  * No changes, but source tarball uses recent util macros. (This
    fixes location for man pages for example.)
* Wed Mar 21 2007 sndirsch@suse.de
- updated xdpyinfo to release 1.0.2
  * minor cleanup/bug fix release
* Thu Mar 15 2007 sndirsch@suse.de
- /etc/X11/xdm/Xsetup:
  * enable external output on laptops or when configured via
    sysconfig (DISPLAYMANAGER_RANDR_MODE_<ext>); works only with
    drivers, which support RANDR 1.2
* Wed Mar 14 2007 sndirsch@suse.de
- xrandr_12_newmode.diff:
  * replaces xf86crtc_allowdual.diff in xorg-x11-server package
* Mon Mar  5 2007 sndirsch@suse.de
- /etc/X11/fs/config:
  /etc/X11/XF86config --> /etc/X11/xorg.conf (Bug #251437)
* Mon Mar  5 2007 sndirsch@suse.de
- /etc/init.d/xdm:
  * fixed wdm path (Bug #251210)
* Mon Mar  5 2007 sndirsch@suse.de
- /etc/init.d/xdm:
  * use USR1 signal for gdm for reload (Bug #249965)
* Wed Feb 28 2007 sndirsch@suse.de
- no longer package /usr/share/xsessions directory (Bug #229172)
* Sat Feb 24 2007 sndirsch@suse.de
- xrandr.diff
  * fixes fatal warning
* Wed Feb 21 2007 sndirsch@suse.de
- updated xrandr to release 1.2.0
  * RandR 1.2 support
* Tue Feb  6 2007 sndirsch@suse.de
- updated xdm to release 1.1.4
  * Reset username prompt to default string at start of PAM loop
    (Bug #222857)
  * X.Org Bug #8561: xdm painfully slow at cursor redraws
  * Make sure windowPath is properly initialized & freed
  * Rearrange checks for maximum username & password length
  * config: quote cpp arguments (X.Org bug #9414)
  * X.Org Bug 8014: xdm should set the WINDOWPATH environment
    variable
* Mon Feb  5 2007 sndirsch@suse.de
- updated xfontsel to release 1.0.2
  * Bug 9519: Markup problems in xfontsel.1x
- updated xlsfonts to release 1.0.2
  * Bug 9519: Markup problems in xlsfonts.1x
* Thu Feb  1 2007 sndirsch@suse.de
- /etc/X11/xdm/{Xsetup,Xstartup}
  * start/kill xvkbd only when autologin is disabled (Bug #238604)
* Mon Jan 29 2007 sndirsch@suse.de
- updated mkcomposecache to release 1.2
  * Bump to 1.2.
  * Autogen ChangeLog.
  * Unset XMODIFIERS in mkcomposecache.
  * Log if XOpenIM() fails.
  * mkallcomposecache.sh is more verbose now on Xvfb errors.
  * Including old and new font paths in default.
* Mon Jan 29 2007 sndirsch@suse.de
- updated xpr to release 1.0.2
  * Bug 9518: Markup problems on the xdpr.1 page
* Wed Jan 24 2007 sndirsch@suse.de
- updated bitmap to release 1.0.3
  * Trivial manpage formatting cleanup release for X11R7.2.
- updated editres to release 1.0.3
  * Trivial manpage formatting cleanup release for X11R7.2.
- updated xrdb to release 1.0.3
  * Trivial manpage formatting cleanup release for X11R7.2.
* Tue Jan 23 2007 sndirsch@suse.de
- updated appres to release 1.0.1
  * X.Org #9510: Unbalanced group in command synopsis in appres.1
    man page
* Mon Jan 15 2007 sndirsch@suse.de
- /etc/init.d/xdm:
  * fixed new gdm path (Bug #235057)
* Sun Dec 17 2006 sndirsch@suse.de
- updated beforelight to release 1.0.2
  * remove config.h from _SOURCES
  * Makefile.am: make appdefaultdir respect DESTDIR
- updated fonttosfnt to release 1.0.3
  * Makefile.am: make ChangeLog hook safer
  * Fix author address in manual page, update COPYING.
- updated xdm to release 1.1.3
  * Makefile.am: make ChangeLog hook safer
* Sat Dec 16 2006 sndirsch@suse.de
- updated editres to release 1.0.2
  * remove config.h from _SOURCES
* Thu Dec 14 2006 sndirsch@suse.de
- xvidtune.diff
  * fixes generation of xvidtune config file (Bug #228288)
* Wed Dec 13 2006 sndirsch@suse.de
- updated xauth to release 1.0.2
  * Sun bug 6494972: "is is" is a typo in xauth(1) man page
  * Replace static ChangeLog with disthook to generate from git log
  * Add hooks for checking source code with lint/sparse/etc.
  * Fix sparse warning: non-ANSI definition of function 'get_hostname'
  * Replace platform #ifdefs with AC_CHECK_HEADERS([net/errno.h])
  * Remove Imake compatibility #ifdefs - require configure's AC_TYPE_SIGNAL
* Fri Dec  8 2006 sndirsch@suse.de
- fixed warning in xedit
* Tue Dec  5 2006 sndirsch@suse.de
- removed /usr/%%{_lib}/X11/xdm/libXdmGreet.a,
  /usr/%%{_lib}/X11/xdm/libXdmGreet.la (Bug #223734)
* Tue Dec  5 2006 sndirsch@suse.de
- updated setxkbmap to release 1.0.3
  * new "-device" option to specify device
* Sun Dec  3 2006 sndirsch@suse.de
- updated rendercheck to release 1.2
  * New version that adds one small new test, more command flags
    to control what tests are run, and testing against more formats.
    Now, bugs in Render code revealed by rendercheck may be slightly
    less mysterious.
- updated sessreg to release 1.0.2
  * Fix grep pattern in Makefile.am
  * include <time.h> before <utmp.h>. Required on some systems.
  * obsoletes sessreg.diff
- updated twm to release 1.0.3
  * Fix system.twmrc handling
- updated xdm to release 1.1.2
  * Bug 7317: xfs doesn't build on some GLIBC based systems:
    _XOPEN_SOURCE undefined
- updated xfs to release 1.0.4
  * Bug 7317: xfs doesn't build on some GLIBC based systems:
    _XOPEN_SOURCE undefined
- removed deprecated mkcfm (X.Org Bug #5553)
* Fri Nov 24 2006 sndirsch@suse.de
- added /usr/bin/X11 compatibility symlink (Bug #223524)
* Mon Nov 20 2006 sndirsch@suse.de
- force installation of xdm runlevel scripts, which is required for
  a system update, since this script has been moved from aaa_base
  to this package (Bug #218268)
* Tue Nov 14 2006 sndirsch@suse.de
- luit: fixed path for locale.alias file (Bug #220827)
* Tue Nov 14 2006 sndirsch@suse.de
- updated xdm to release 1.1.1:
  * Fill in paths at build time in Xreset & Xstartup
  * Set PAM_TTY for local displays
  * Bug 8995: Copying address into in6_addr instead of
    in6_addr.sin6_addr in forward_respond()
- obsoletes xdm-pam_tty.diff
* Thu Nov  9 2006 sndirsch@suse.de
- get the system default locale settings in Xsession script when
  $LANG is still not set; important for xdm (Bug #216518)
* Thu Nov  9 2006 sndirsch@suse.de
- /etc/X11/xdm/SuSEconfig.xdm:
  * only create symlink to Xserver if possible (Bug #219373)
* Thu Nov  9 2006 sndirsch@suse.de
- updated sessreg to release 1.0.1 (X.Org 7.2 RC2)
  * Manpage cleanups & fix to make autoconf utmpx check work on
    Solaris
* Wed Nov  8 2006 sndirsch@suse.de
- updated mkfontscale to release 1.0.3 (X.Org 7.2 RC2)
  * Fix typos in manual page, update author's address, update COPYING.
  * Allow SemiBold weight for Type 1 fonts.
- fix xdm PAM login on SUSE 10.1
* Wed Nov  8 2006 sndirsch@suse.de
- updated luit to release 1.0.2 (X.Org 7.2 RC2)
  * Updated COPYING.
  * Added random IBM codepages to the encodings vector.
  * Set up parent pty before forking (bug 8490).
- luit update obsoletes p_bugzilla-117193-luit-sometimes-hangs.diff
- updated xkbcomp to release 1.0.3 (X.Org 7.2 RC2)
  * parser: accept negative numbers in geometry co-ordinates
    (bug #8763)
  * compat: avoid use of uninitialised variable (bug #8846)
* Tue Nov  7 2006 sndirsch@suse.de
- "Requires: dbus-1-x11" --> "Recommends: dbus-1-x11" (Bug #218227,
  comment #10)
* Mon Nov  6 2006 sndirsch@suse.de
- added Requires: cpp to fix broken look of xdm login screen
- added Requires: dbus-1-x11 (Bug #218227)
- get the system default locale settings in Xsession script when
  $LANG is not set (Bug #216518)
* Tue Oct 31 2006 sndirsch@suse.de
- aded xdm-np to filelist to fix build
* Mon Oct 30 2006 sndirsch@suse.de
- added xdm-np, which now can be used by KDE and Gnome (Bug #192400)
* Tue Oct 24 2006 sndirsch@suse.de
- xdm-pam_tty.diff:
  * set PAM_TTY to fix the use of pam_resgmr (Bug #213598)
- move xdm libs to /usr/%%_lib/X11/xdm (Bug #214592)
* Wed Oct 18 2006 sndirsch@suse.de
- /etc/X11/xdm/Xsetup: added "-xdm" option for xvkbd (Bug #213034)
* Sat Oct 14 2006 sndirsch@suse.de
- X.Org 7.2RC1 package update:
  * xdbedizzy-1.0.2
  * xinit-1.0.3
  * twm-1.0.2
  * fonttosfnt-1.0.2
  * xmodmap-1.0.2
  * mkfontscale-1.0.2
  * xfs-1.0.3
  * xf86dga-1.0.2
* Thu Oct 12 2006 sndirsch@suse.de
- startx script:
  * only use $DISPLAYMANAGER_XSERVER, when set (Bug #210476)
* Mon Oct  9 2006 sndirsch@suse.de
- updated xdm to release 1.1.0
  * Make initial pass at an AUTHORS list.
  * Replace old Imake-based SIGNALRETURNSINT with AC_TYPE_SIGNAL
  * Replace old Imake #ifdefs with AC_CHECK_FUNCS([sigaction])
  * Mark GreetUser (called from xdm) as _X_EXPORT. Make all other non-static
    functions in libXdmGreet _X_INTERNAL.
  * Initialize manufacturerDisplayID.length to 0 too.
  * Bugzilla #7332 (1) Xdm compiled with IPv6 support failed to accept any
    chooser connections  (even when only using IPv4).
    (2) There should be a one-to-one correspondence between successful
    getaddrinfo calls and freeaddrinfo calls. (Peter Breitenlohner)
  * Bugzilla #7318 xdm crashes on Hurd because of incongruity in dlfuncs (J.P.
    Larocque)
  * Bugzilla #7317 xdm needs to define _XOPEN_SOURCE to build on Hurd (J.P.
    Larocque)
  * Add XORG_WITH_LINT & lint targets for checking code with lint/sparse/etc.
  * Fix many sparse warnings of: Using plain integer as NULL pointer
  * Store return values from umask in mode_t instead of int (clear lint
    warnings)
  * Use pid_t instead of int when working with fork/wait/etc. (clear more
    lint warnings)
  * Drop pre-waitpid() support since all POSIX.1-1990 systems have waitpid.
  * Delete unused Panic() function
  * Sun bug 6459557: remote logins to xdm fail since recent PAM fixes
  * Include display number in Xserver arguments
  * SetPrompt takes LOGIN_* not PAM_* constants for type argument
  * Replace static ChangeLog with dist-hook to generate from git log
  * Bump version number to 1.1.0
* Mon Oct  9 2006 sndirsch@suse.de
- use autoreconf for scripts (Bug #210878)
* Wed Sep 20 2006 sndirsch@suse.de
- xdm pam file: remove pam_devperm.so line (Bug #206963)
* Wed Sep 20 2006 sndirsch@suse.de
- xdm init script: redirect SuSEconfig output to syslog
* Tue Sep 19 2006 sndirsch@suse.de
- mark files below /etc/X11 as %%config (Bug #206496)
* Mon Sep 11 2006 sndirsch@suse.de
- fixed xfs path in xfs init script (Bug #204869)
* Mon Sep  4 2006 kukuk@suse.de
- Add pam_loginuid to xdm PAM config
* Thu Aug 31 2006 sndirsch@suse.de
- added xdm init script
- aded xrdb compatibility symlink for SUSE <= 10.1
* Wed Aug 30 2006 sndirsch@suse.de
- updated xprop to release 1.0.2
  * Don't abort() when actual_format from XGetWindowAttributes is 0
* Tue Aug 22 2006 sndirsch@suse.de
- cleanup
* Mon Aug 21 2006 sndirsch@suse.de
- integrated suse-addons.diff into suse-addons.tar.bz2
* Mon Aug 21 2006 sndirsch@suse.de
- SuSEconfig.xdm: only rewrite config files and X symlink when
  sysconfig file is more recent
* Mon Aug 21 2006 sndirsch@suse.de
- /etc/X11/xinit/xinitrc.common:
  * check for kde/startkde/fvwm2/wmlist also in /usr/bin, since
    these have moved for openSUSE >= 10.2
* Sun Aug 20 2006 sndirsch@suse.de
- create compatibility symlinks in X11R6/bin only for SUSE <= 10.1
  (exception: xauth)
- create desktop files for xmag, xload, xkill, xcalc, xrefresh,
  xclipboard, twm
- removed openwin references in Xsession script of xdm and
  global Xresources (Bug #200504)
* Sat Aug 19 2006 sndirsch@suse.de
- make startx capable of using Xgl when configured
- moved SuSEconfig.xdm to /etc/X11/xdm (openSUSE 10.2)
* Fri Aug 18 2006 sndirsch@suse.de
- mkcomposecache.diff:
  * install mkallcomposecaches.sh (/usr/sbin/mkallcomposecaches)
* Wed Aug 16 2006 sndirsch@suse.de
- scripts.diff:
  * removed build/installation of xauth ksh script
* Tue Aug 15 2006 sndirsch@suse.de
- fixed CID fontpatch for mkcfm
* Tue Aug 15 2006 sndirsch@suse.de
- fixed build of fonttosfnt for new freetype2 (build enabled again)
* Mon Aug  7 2006 sndirsch@suse.de
- p_xrdb.diff:
  * fix xrdb when hostname is set to "(none)" (Bug #149007)
- p_twm_sig11.diff:
  * twm can segfault when it cannot collect attribute information
    on a window that has been destroyed before it got a chance to
    collect it's attribute. twm seems to assume that it is always
    able to collect this information and disregards the error if
    the function that attempts to collect it fails (eich, Bug #150869)
- x11r6.9.0-setuid.diff:
  * setuid() return value check problems on Linux systems (Bug #179768)
* Sat Aug  5 2006 sndirsch@suse.de
- p_xauth.diff:
  * Let X authorization be tolerant to hostname changes (Bug #98627)
- ps_suse.diff:
  * SuSE specific stuff
- p_bugzilla-117193-luit-sometimes-hangs.diff:
  * fixes luit hangups (#117193)
* Sat Aug  5 2006 sndirsch@suse.de
- added /etc/X11/xinit/xinitrc.d
* Wed Aug  2 2006 sndirsch@suse.de
- removed /usr/include/X11/bitmaps directory from filelist; now
  belongs to xorg-x11-libs
* Tue Aug  1 2006 sndirsch@suse.de
- fixed previous change
* Tue Aug  1 2006 sndirsch@suse.de
- fixed path for BackGround and other helpers in xdm configuration
* Sat Jul 29 2006 sndirsch@suse.de
- /etc/X11/xdm/xdm-config:
  * enabled Xserver restart also when Xgl is in use
  * enabled authorization for Xserver also when Xgl is in use
* Fri Jul 28 2006 sndirsch@suse.de
- added compatibility symlink in /usr/X11R6/bin for startx
- fixed fatal compiler warnings in xedit/xconsole
* Fri Jul 28 2006 sndirsch@suse.de
- use "-fno-strict-aliasing"
* Thu Jul 27 2006 sndirsch@suse.de
- use $RPM_OPT_FLAGS
- remove existing /usr/include/X11 symlink in %%pre
* Tue Jul 25 2006 sndirsch@suse.de
- add compatibility symlink /usr/X11R6/bin/xauth; required for
  using "ssh -X" from remote machines, which do not use X.Org 7 yet
* Thu Jul 20 2006 sndirsch@suse.de
- xrx.diff: added cast to fix build
- fixed files list
* Mon Jun 26 2006 sndirsch@suse.de
- created package
